----------------------
--  repairVehicles  --
--     by Rival     --
----------------------

repairVehicles = {};
repairVehicles.Version = 1.0;

local repairVehicles_directory = g_currentModDirectory;

function repairVehicles:prerequisitesPresent(specializations)
    return true;
end;

function repairVehicles:load(savegame)
	self.rvPIR = false;
end;

function repairVehicles:delete()
end;

function repairVehicles:mouseEvent(posX, posY, isDown, isUp, button)
end;

function repairVehicles:keyEvent(unicode, sym, modifier, isDown)
end;

function repairVehicles:updateTick(dt)
	if g_currentMission.player ~= nil then
		local vx, vy, vz = getWorldTranslation(g_currentMission.player.rootNode);
		local sx, sy, sz = getWorldTranslation(self.rootNode); 
		local distance = Utils.vector3Length(sx-vx, sy-vy, sz-vz);
		if distance < 3.5 then
			self.rvPIR = true; 
		else
			self.rvPIR = false; 
		end;
	end;
end;

function repairVehicles:update(dt)
	if self.rvPIR then
		if self.operatingTime > 100 then
			--local costs = (self:getPrice()-math.min(self:getSellPrice()*1.2, self:getPrice()))/3.5;
			local costs = self:getPrice()*0.1*(self.operatingTime/100000000);
			g_currentMission:addHelpButtonText(string.format(g_i18n:getText("REPAIR_VEHICLE_COST"), costs), InputBinding.REPAIR_VEHICLE);
			if InputBinding.hasEvent(InputBinding.REPAIR_VEHICLE) then
				if g_currentMission:getTotalMoney() > costs then
					self:setOperatingTime(0);
					g_currentMission:addSharedMoney(-costs);
					g_currentMission:showBlinkingWarning(string.format(g_i18n:getText("VEHICLE_REPAIRED"), costs), 2000);
					--self.age = 0; -- set days to 0 .... is not necessary
				else
					g_currentMission:showBlinkingWarning(g_i18n:getText("NOT_ENOUGH_MONEY"), 2000);
				end;
			end;
		end;
	end;
end;

function repairVehicles:draw()
end;